Loading...
Searching...
No Matches
etl::multi_span< T > Class Template Reference

## Classes

class | iterator
| Iterator. More...
class | const_iterator
| Const Iterator. More...

## Public Types

typedef T | element_type
typedef etl::remove_cv< T >::type | value_type
typedef size_t | size_type
typedef T & | reference
typedef const T & | const_reference
typedef T * | pointer
typedef const T * | const_pointer
typedef etl::span< T > | span_type
typedef etl::span< const span_type > | span_list_type
typedef ETL_OR_STD::reverse_iterator< iterator > | reverse_iterator
typedef ETL_OR_STD::reverse_iterator< const_iterator > | const_reverse_iterator

## Public Member Functions

ETL_CONSTEXPR14 | multi_span (span_list_type span_list_)
| Constructor.
template<typename TContainer>
ETL_CONSTEXPR14 | multi_span (TContainer &a) ETL_NOEXCEPT
template<typename TContainer>
ETL_CONSTEXPR14 | multi_span (const TContainer &a) ETL_NOEXCEPT
template<typename TIterator>
ETL_CONSTEXPR14 | multi_span (TIterator begin_, TIterator end_)
| Constructor.
template<typename TIterator>
ETL_CONSTEXPR14 | multi_span (TIterator begin_, size_t length_)
| Constructor.
ETL_CONSTEXPR14 | multi_span (const multi_span &other)
| Copy Constructor.
ETL_CONSTEXPR14 multi_span & | operator= (const multi_span &other)
| Assignment operator.
ETL_CONSTEXPR14 iterator | begin () const
ETL_CONSTEXPR14 const_iterator | cbegin () const
ETL_CONSTEXPR14 iterator | end () const
ETL_CONSTEXPR14 const_iterator | cend () const
ETL_CONSTEXPR14 reverse_iterator | rbegin () const
ETL_CONSTEXPR14 reverse_iterator | crbegin () const
ETL_CONSTEXPR14 reverse_iterator | rend () const
ETL_CONSTEXPR14 const_reverse_iterator | crend () const
ETL_CONSTEXPR14 reference | operator[] (size_t i) const
| Returns a reference to the indexed value.
ETL_CONSTEXPR14 size_t | size () const ETL_NOEXCEPT
| Returns the number of elements in the multi_span.
ETL_CONSTEXPR14 bool | empty () const ETL_NOEXCEPT
| Returns true if the multi_span size is zero.
ETL_CONSTEXPR14 size_t | size_bytes () const ETL_NOEXCEPT
| Returns the size of the multi_span.
ETL_CONSTEXPR14 size_t | size_spans () const ETL_NOEXCEPT
| Returns the number of spans in the multi_span.

## Constructor & Destructor Documentation

## multi_span() [1/2]

template<typename T>
template<typename TContainer>

ETL_CONSTEXPR14 etl::multi_span< T >::multi_span | ( | TContainer & | a | ) |

inline

Construct from a container or other type that supports data() and size() member functions.

## multi_span() [2/2]

template<typename T>
template<typename TContainer>

ETL_CONSTEXPR14 etl::multi_span< T >::multi_span | ( | const TContainer & | a | ) |

inline

Construct from a container or other type that supports data() and size() member functions.

The documentation for this class was generated from the following file:

- include/etl/multi_span.h